moAspirCrit(3)

NAME
moAspirCrit - Description of the conditions in which a tabu move could be accepted.

SYNOPSIS

#include <moAspirCrit.h>

Inherits eoBF< A1, A2, R >< const const M &, M::EOType::Fitness &, bool >.

Inherited by moImprBestFitAspirCrit< M >, and moNoAspirCrit< M >.

  Public Member Functions
virtual void init ()=0
Procedure which initialises all that needs a aspiration criterion.

Detailed Description

  template<class M> class moAspirCrit< M >
Description of the conditions in which a tabu move could be accepted. It is only a description... An object that herits from this class is needed to be used in a moTS. See moNoAspriCrit for example.

Definition at line 22 of file moAspirCrit.h.

Member Function Documentation

  template<class M> virtual void moAspirCrit< M >::init () [pure virtual]

Procedure which initialises all that needs a aspiration criterion.

It can be possible that this procedure do nothing...

Implemented in moImprBestFitAspirCrit< M >, and moNoAspirCrit< M >.

Author

Generated automatically by Doxygen for PARADISEO-MO from the source code.